%define qgtkstyle_version 0.0
%define svn_date 20090107
%define svn_revision 877
%define snapshot %{svn_date}svn%{svn_revision}

# Tarfile created from svn snapshot
# svn co svn://labs.trolltech.com/svn/styles/gtkstyle qgtkstyle-%{qgtkstyle_version}
# tar cjf qgtkstyle-%{qgtkstyle_version}-%{snapshot}.tar.bz2 --exclude=.svn qgtkstyle-%{qgtkstyle_version}/

%define tarfile %{name}-%{qgtkstyle_version}-%{snapshot}.tar.bz2

Summary:        Qt style rendering using GTK+ themes
Name:           qgtkstyle
Version:        %{qgtkstyle_version}
Release:        0.2.%{snapshot}%{?dist}
License:        GPLv2
Group:          User Interface/Desktops
URL:            http://labs.trolltech.com/page/Projects/Styles/GtkStyle
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt4-devel >= 4.4.0
BuildRequires:  gtk2-devel
Requires:	qt4-x11 >= 4.4.0

# Fedora specific snapshot no upstream release (yet)
Source0:        %{tarfile}

%description
This is a Qt style rendered using GTK to give a native 
appearence for Qt applications running on the GNOME desktop. 

%prep
%setup -q -n %{name}-%{version}

%build
CXXFLAGS="%{optflags}" qmake-qt4
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_qt4_plugindir}/styles
make install INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_qt4_plugindir}/styles/libgtkstyle.so

%changelog
* Wed Jan 28 2009 Michel Salim <salimma@fedoraproject.org> - 0.0-0.2.%{svn_date}svn%{svn_revision}%{?dist}
- New upstream snapshot
- Better support Murrine-based engines (e.g. Nodoka)
- Various bug fixes

* Fri Oct 24 2008 Shawn Starr <spstarr@fedoraproject.org> 0.0-0.2.20081024svn820
- New upstream snapshot.
- Various speed improvements and stability.

* Wed Jul 23 2008 Shawn Starr <spstarr@fedoraproject.org> 0.0-0.2.20080719svn693
- New upstream snapshot, fix display widget issues
- Mimic GTK+ behavior better for some widgets
- Fix support for KDE color palette
- Fixes support for big-endian systems

* Tue Jun 09 2008 Shawn Starr <spstarr@fedoraproject.org> 0.0-0.1.20080609svn647
- New upstream snapshot, refactoring of gtkstyle
- Fix editable combobox, fix menu, dialog checkbox size and shapes
- Improved sliders
- Fix pixmap cache regressions

* Mon Jun 02 2008 Shawn Starr <spstarr@fedoraproject.org> 0.0-0.1.20080601svn636
- New upstream snapshot, Fix endian issues
- Check boxes and menu optimizations, fix tabbing issues
- Improved tab bar
- Fix toolbars and frames with flat-style
- Improved toolbar handles

* Thu May 29 2008 Shawn Starr <spstarr@fedoraproject.org> 0.0-0.1.20080529svn626
- New upstream snapshot, Improved menu separators
- Fix menu separator height, fix paint glitches with comboboxes.

* Tue May 27 2008 Shawn Starr <shawn.starr@rogers.com> 0.0-0.1.20080526svn617
- Initial Fedora package.
